Bug 806862 - connection not closed when really large file is transferred with curl scp protocol
connection not closed when really large file is transferred with curl scp pro...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libssh2 (Show other bugs)
All Linux
high Severity medium
: rc
: ---
Assigned To: Kamil Dudka
Karel Srot
Depends On: 804145
  Show dependency treegraph
Reported: 2012-03-26 07:27 EDT by Karel Srot
Modified: 2013-02-21 03:42 EST (History)
2 users (show)

See Also:
Fixed In Version: libssh2-1.4.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 03:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-03-26 07:27:50 EDT
Description of problem:

When transferring really large files with curl scp:// the connection is not closed. This seems to be related to key re-exchange - bugs 804145, 804145.

Version-Release number of selected component (if applicable):

How reproducible:
always for me

Steps to Reproduce:

1. To reproduce use the patch openssh in a way mentioned in Bug 804145#c1. The patch is a bit different for RHEL6.2 openssh and has to be "ported", also you can use >>=10 instead of >>=5 to speed up requests for new key.

2. Prepare ssh keys for current user 
3. Execute patched sshd on a different port (or instead of running sshd)

# /path/to/patched/sshd -p 2048 -f /etc/ssh/sshd_config -d &

4. initialte a download of large file (so the keys are re-exchanged during the download, can be seen in sshd debug messages)

$ curl -v -u username: --key ~/.ssh/id_rsa --pubkey ~/.ssh/id_rsa.pub
scp:// -o /dev/null

The bug can be reproduced when transferring from localhost, not from other host
(for me).

Actual results:
connection not closed when the file is transferred

Expected results:
connection is closed

Additional info:
Comment 1 Karel Srot 2012-03-26 07:38:19 EDT
without the patched openssh, I believe the bug might appear when transferring files much larger > 64 GB. Doesn't occur for smaller files.
Comment 2 Kamil Dudka 2012-04-02 07:28:25 EDT
upstream commit:

Comment 3 Karel Srot 2012-04-02 08:57:34 EDT
fixing the typo in bz summary.
Comment 4 Kamil Dudka 2012-04-04 07:25:34 EDT
This thread seems to be also related:

Comment 6 RHEL Product and Program Management 2012-09-12 08:41:11 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 12 errata-xmlrpc 2013-02-21 03:42:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.